package zxj;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2005</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.*;


public class CounterForm extends ActionForm
{
        public String resource;
        public int otherf;
        public int result[] = new int[26];
        public int total;
        public float rate[] = new float[27];

        public void setRate(float rate[])
        {
            this.rate = rate;
        }
        public float[] getRate()
        {
            return this.rate;
        }

        public void setTotal(int total)
        {
            this.total = total;
        }
        public int getTotal()
        {
            return this.total;
        }


        public void setOtherf(int otherf)
        {
                this.otherf = otherf;
        }
        public int getOtherf()
        {
                return otherf;
        }
        public void setResult(int[] result)
        {
                this.result = result;
        }
        public int[] getResult()
        {
                return this.result;
        }
        public void setResource(String resource)
        {
                this.resource = resource;
        }
        public String getResource()
        {
                return this.resource;
        }



        //重新设置CounterForm
        public void reset(ActionMapping mapping, HttpServletRequest request)
        {
                //重新设置CounterForm
        }
            //form有效性判断，这里做简化处理。
        public ActionErrors validate(ActionMapping mapping,HttpServletRequest request)
        {
                ActionErrors errors = new ActionErrors();
                return errors;
        }

}
